質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.80%

Ubuntu18.04にGTX2070のGPUカードドライバーをインストールしたい

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,655

Royboon

score 16

Ubuntu18.04にGTX2070のGPUカードドライバーをインストールしたい

Ubuntu18.04にGTX2070のGPUカードドライバーを以下のサイトを参考にインストールしようとしています。

GPU カードドライバーのインストール

発生している問題

以下のコマンドによりNVIDIAドライバーをインストールしようとしたところ、ERRORが発生しました。

$ sudo ./NVIDIA-Linux-x86_64-430.14.run --silent --no-opengl-files --no-libglx-indirect --dkms
Verifying archive integrity... OK
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86_64 430.14..........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

WARNING: Unable to find a suitable destination to install 32-bit compatibility
         libraries. Your system may not be set up for 32-bit compatibility.
         32-bit compatibility files will not be installed; if you wish to
         install them, re-run the installation and set a valid directory with
         the --compat32-libdir option.

ERROR: Failed to run `/usr/sbin/dkms build -m nvidia -v 430.14 -k
       4.15.0-50-generic`: 
       Kernel preparation unnecessary for this kernel.  Skipping...

       Building module:
       cleaning build area...
       'make' -j8 NV_EXCLUDE_BUILD_MODULES='' KERNEL_UNAME=4.15.0-50-generic
       IGNORE_CC_MISMATCH='' modules...(bad exit status: 2)
       ERROR (dkms apport): binary package for nvidia: 430.14 not found
       Error! Bad return status for module build on kernel: 4.15.0-50-generic
       (x86_64)
       Consult /var/lib/dkms/nvidia/430.14/build/make.log for more
       information.

ERROR: Failed to install the kernel module through DKMS. No kernel module was
       installed; please try installing again without DKMS, or check the DKMS
       logs for more information.

ERROR: Installation has failed.  Please see the file
       '/var/log/nvidia-installer.log' for details.  You may find suggestions
       on fixing installation problems in the README available on the Linux
       driver download page at www.nvidia.com.

'/var/log/nvidia-installer.log'の内容は以下でした。

$ cat /var/log/nvidia-installer.log 
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sun May 26 09:36:54 2019
installer version: 430.14

PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/snap/bin

nvidia-installer command line:
    ./nvidia-installer
    --no-opengl-files
    --no-libglx-indirect
    --dkms

Unable to load: nvidia-installer ncurses v6 user interface

Using: nvidia-installer ncurses user interface
-> Detected 8 CPUs online; setting concurrency level to 8.
-> Installing NVIDIA driver version 430.14.
-> There appears to already be a driver installed on your system (version: 430.14).  As part of installing this driver (version: 430.14), the existing driver will be uninstalled.  Are you sure you want to continue? (Answer: Continue installation)
-> Running distribution scripts
   executing: '/usr/lib/nvidia/pre-install'...
-> done.
-> The distribution-provided pre-install script failed!  Are you sure you want to continue? (Answer: Continue installation)
-> Would you like to register the kernel module sources with DKMS? This will allow DKMS to automatically build a new module, if you install a different kernel later. (Answer: Yes)
WARNING: Unable to find a suitable destination to install 32-bit compatibility libraries. Your system may not be set up for 32-bit compatibility. 32-bit compatibility files will not be installed; if you wish to install them, re-run the installation and set a valid directory with the --compat32-libdir option.
-> Uninstalling the previous installation with /usr/bin/nvidia-uninstall.
-> Searching for conflicting files:
-> done.
-> Installing 'NVIDIA Accelerated Graphics Driver for Linux-x86_64' (430.14):
   executing: '/sbin/ldconfig'...
-> done.
-> Driver file installation is complete.
-> Installing DKMS kernel module:
ERROR: Failed to run `/usr/sbin/dkms build -m nvidia -v 430.14 -k 4.15.0-50-generic`: 
Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
'make' -j8 NV_EXCLUDE_BUILD_MODULES='' KERNEL_UNAME=4.15.0-50-generic IGNORE_CC_MISMATCH='' modules...(bad exit status: 2)
ERROR (dkms apport): binary package for nvidia: 430.14 not found
Error! Bad return status for module build on kernel: 4.15.0-50-generic (x86_64)
Consult /var/lib/dkms/nvidia/430.14/build/make.log for more information.
-> error.
ERROR: Failed to install the kernel module through DKMS. No kernel module was installed; please try installing again without DKMS, or check the DKMS logs for more information.
ERROR: Installation has failed.  Please see the file '/var/log/nvidia-installer.log' for details.  You may find suggestions on fixing installation problems in the README available on the Linux driver download page at www.nvidia.com.

試したこと

関連したものの再インストールは行いました。

$ sudo apt-get remove nvidia-*
$ sudo apt-get remove cuda-*

補足情報(FW/ツールのバージョンなど)

カーネルのバージョンは以下です。

$ uname -a
Linux xf 4.15.0-48-generic #51-Ubuntu SMP Wed Apr 3 08:28:49 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

gccのバージョンは以下です。

$ gcc --version
gcc (Ubuntu 7.4.0-1ubuntu1~18.04) 7.4.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

お手数をおかけしますが、よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • criticabug

    2019/05/27 17:22

    make が bad exit status: 2 で失敗した、詳しくは `/var/lib/dkms/nvidia/430.14/build/make.log` を見ろと出力されています。
    make.log に書いてあることを確認し、それでも解決しなければ、質問にも貼り付けてもらえますか。

    キャンセル

回答 1

check解決した方法

0

オプションに

--no-cc-version-check


をつけることでインストールに成功しました.

以下参考サイトです.
https://askubuntu.com/questions/1143303/dkms-failure-because-gcc-version-is-newer-than-that-used-to-compile-kernel

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.80%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る